# url.cpp File Reference

`#include <string>`
`#include <iostream>`
`#include <saga/saga/url.hpp>`
`#include <saga/saga/detail/call.hpp>`
`#include <saga/impl/url.hpp>`
`#include <saga/impl/exception.hpp>`
`#include <saga/impl/session.hpp>`

## Namespaces
namespace | saga
## Functions
std::ostream & | saga::operator<< (std::ostream &os, url const &u)
| Brief description starts here.
std::istream & | saga::operator>> (std::istream &is, url &u)
| Brief description starts here.
bool | saga::operator== (saga::url const &lhs, saga::url const &rhs)
| Brief description starts here.
bool | saga::operator< (saga::url const &lhs, saga::url const &rhs)
| Brief description starts here.